#!/bin/sh

set -x

# 加载环境变量
source /etc/profile
echo "ROV_OFFLINE_ENV: $ROV_OFFLINE_ENV"

# 获取项目根目录的绝对路径
sh_path=$(cd $(dirname $0)/..; pwd)
echo "项目根目录: ${sh_path}"

# 输出开始时间
echo "开始执行时间: $(date '+%Y-%m-%d %H:%M:%S')"

(
  # 设置 PYTHONPATH，动态获取项目根目录路径
  export PYTHONPATH=${sh_path}

  # 设置 Python 环境
  source /root/anaconda3/bin/activate py39

  echo "当前Python环境安装的Python版本: $(python --version)"
  echo "当前Python环境安装的三方包: $(python -m pip list)"

  # 调用 Python 脚本，确保路径正确
  python ${sh_path}/XGB/vov_xgboost_train.py
)

# 输出结束时间
echo "结束执行时间: $(date '+%Y-%m-%d %H:%M:%S')"
echo "all done"
